com.corticon.rulesemf.operationsmodel

## Interface OperationsmodelFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface OperationsmodelFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `OperationsmodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OperationsmodelFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtendedOperatorSet` | `createExtendedOperatorSet()` Returns a new object of class 'Extended Operator Set'
    `Method` | `createMethod()` Returns a new object of class 'Method'
    `OperatorNode` | `createOperatorNode()` Returns a new object of class 'Operator Node'
    `OperatorTree` | `createOperatorTree()` Returns a new object of class 'Operator Tree'
    `ServiceCallout` | `createServiceCallout()` Returns a new object of class 'Service Callout'
    `StandAloneExtension` | `createStandAloneExtension()` Returns a new object of class 'Stand Alone Extension'
    `TypeExtension` | `createTypeExtension()` Returns a new object of class 'Type Extension'
    `OperationsmodelPackage` | `getOperationsmodelPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final OperationsmodelFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createOperatorTree

          OperatorTree createOperatorTree()

      Returns a new object of class 'Operator Tree'.
      Returns:
        a new object of class 'Operator Tree'.

    - #### createOperatorNode

          OperatorNode createOperatorNode()

      Returns a new object of class 'Operator Node'.
      Returns:
        a new object of class 'Operator Node'.

    - #### createMethod

          Method createMethod()

      Returns a new object of class 'Method'.
      Returns:
        a new object of class 'Method'.

    - #### createExtendedOperatorSet

          ExtendedOperatorSet createExtendedOperatorSet()

      Returns a new object of class 'Extended Operator Set'.
      Returns:
        a new object of class 'Extended Operator Set'.

    - #### createStandAloneExtension

          StandAloneExtension createStandAloneExtension()

      Returns a new object of class 'Stand Alone Extension'.
      Returns:
        a new object of class 'Stand Alone Extension'.

    - #### createTypeExtension

          TypeExtension createTypeExtension()

      Returns a new object of class 'Type Extension'.
      Returns:
        a new object of class 'Type Extension'.

    - #### createServiceCallout

          ServiceCallout createServiceCallout()

      Returns a new object of class 'Service Callout'.
      Returns:
        a new object of class 'Service Callout'.

    - #### getOperationsmodelPackage

          OperationsmodelPackage getOperationsmodelPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.